package thyyxxk.webserver.entity.utilities.itemapply.response;

import com.alibaba.fastjson.JSONArray;
import lombok.Data;
import thyyxxk.webserver.utils.StringUtil;

@Data
public class ItemApply {
    private Integer id;
    private Integer type;
    private String code;
    private String name;
    private String unit;
    private Integer quantity;
    private String pyCode;
    private String size;
    private JSONArray sizes;

    public JSONArray getSizes() {
        String str = StringUtil.isBlank(size) ? "[]" : size;
        return JSONArray.parseArray(str);
    }
}
